#ifndef SQUARETONE_XMMS_H
#define SQUARETONE_XMMS_H

#include <pthread.h>

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include <glib.h>

#include "xmms/plugin.h"


/* Stubs that do something close enough.  */
#    define textdomain(String) (String)
#    define gettext(String) (String)
#    define dgettext(Domain,Message) (Message)
#    define dcgettext(Domain,Message,Type) (Message)
#    define bindtextdomain(Domain,Directory) (Domain)
#    define _(String) (String)
#    define N_(String) (String)

void sqt_init(void);
void sqt_about(void);             /* Show the about box */
extern int  sqt_is_our_file(char *filename);
extern void sqt_play_file(char *filename);
extern void sqt_stop(void);
extern void sqt_seek(int time);
extern void sqt_pause(short p);
extern int  sqt_get_time(void);
extern void sqt_get_song_info(char *filename, char **title, int *length);

#endif
