unit Playlist;

interface

uses Players, AY;

type
//PlayListItem parameters
 PPlayListItem = ^TPlayListItem;
 TPlayListItem = record
   FileName,Author,Title,Programm,Tracker,Computer,Date,Comment:String;
   FileType:Available_Types;
   Time,Loop,Offset,Address,Length,UnpackedSize,AY_Freq,Int_Freq,
   Channel_Mode,Number_Of_Channels,{TitleJustify,StringWidth,}
   FormatSpec,Tag{,HorScrPos}:Integer;
   Chip_Type:ChTypes;
   AL,AR,BL,BR,CL,CR:byte;
   Selected:boolean;
   Error:ErrorCodes;
 end;

function AddPlayListItem(var PLItem:PPlayListItem):integer;
procedure DelPlayListItem;
var
  PlayListItems:array of PPlayListItem;

implementation

function AddPlayListItem;
begin
   New(PLItem);
   Result := 0;//Length(PlayListItems);
   SetLength(PlayListItems,Result + 1);
   PlayListItems[Result] := PLItem
end;

procedure DelPlayListItem;
begin
   Dispose(PlayListItems[0]);
   SetLength(PlayListItems,0);
end;

initialization

setLength(PlayListItems, 0);

finalization

setLength(PlayListItems, 0);

end.
