{
This uses parts of AY Emulator project
AY-3-8910/12 Emulator
Version 2.7 for Windows 95
Author Sergey Vladimirovich Bulba
(c)1999-2003 S.V.Bulba
}

library SquareToneXMMS;

uses
    Globals,
    SysUtils,
    SquareToneLib,
    WaveOutAPI,
    Playlist,
    Players,
    AY;
 
procedure squaretone_init;
begin
end;

function squaretone_is_our_file(File_Name:pchar):integer;cdecl;export;
var
 SFileExt,SFileName,SFilePath:string;
begin
   result:=0;
   SFilePath := ExtractFilePath(File_Name);
   SFileName := ExtractFileName(File_Name);
   SFileExt := AnsiLowerCase(ExtractFileExt(File_Name));
   if SFileExt = '.pt3' then result:=1 else
   if SFileExt = '.ym' then result:=1;
end;

procedure squaretone_open(fname : pchar);cdecl;export; 
begin
   SetDefault;

   //add first arg to playlist
   Add_Songs_From_File(fname, true);

end; { openFile }

procedure squaretone_play;cdecl;export;
begin
   {prepare first playlist item for playing}
   PrepareItem(0);
      
   //set up some globals based on song
   Time_ms := trunc(PlayListItems[0]^.Time / Interrupt_Freq * 1000000);
   
   Global_Tick_Max := PlayListItems[0]^.Time;
   if PlayListItems[0]^.Loop < 0 then
      PlayListItems[0]^.Loop := 0;
   LoopVBL := PlayListItems[0]^.Loop;
   
   InitForAllTypes(true);
end; { playSong }

procedure squaretone_stop;cdecl;export;
begin
   if not IsPlaying then exit;
   
   IsPlaying := False;
   FreePlayingResourses;
   DelPlayListItem;
end;

function squaretone_real_end():integer;cdecl;export;
begin
   if Real_End then
   begin
      squaretone_real_end := 1
   end
   else
      squaretone_real_end := 0;
end; { squaretone_real_end }

function squaretone_get_time:integer;cdecl;export;
begin
	result:=Time_ms;
end;

function squaretone_make_buffer(buf : PBuf):integer; cdecl; export;
begin
   MakeBuffer(@buf^[0]);
   squaretone_make_buffer := BuffLen;
end;

exports
squaretone_real_end,squaretone_is_our_file, squaretone_open,squaretone_get_time,
squaretone_play, squaretone_stop, squaretone_make_buffer, squaretone_init;

end.
